Skip to main content
GET
/
v1
/
accounts
List accounts
curl --request GET \
  --url https://api.privy.io/v1/accounts \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'privy-app-id: <privy-app-id>'
HttpResponse<String> response = Unirest.get("https://api.privy.io/v1/accounts")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.asString();
const options = {
method: 'GET',
headers: {'privy-app-id': '<privy-app-id>', Authorization: 'Basic <encoded-value>'}
};

fetch('https://api.privy.io/v1/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"privy-app-id: <privy-app-id>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.privy.io/v1/accounts"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "data": [
    {
      "id": "<string>",
      "display_name": "<string>",
      "wallets": [
        {
          "id": "<string>",
          "address": "<string>",
          "custody": {
            "provider": "<string>",
            "provider_user_id": "<string>"
          }
        }
      ]
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Basic Auth header with your app ID as the username and your app secret as the password.

Headers

privy-app-id
string
required

ID of your Privy app.

Query Parameters

cursor
string
Minimum string length: 1
limit
number | null
Required range: x <= 100

Optional search term to filter accounts by display name, account ID, or wallet address.

Response

200 - application/json

Paginated list of accounts.

Paginated list of digital asset accounts.

data
AccountResponse · object[]
required

The list of accounts.

next_cursor
string | null
required

Cursor for fetching the next page of results, or null if no more results.